#include<iostream>
#include<cmath>
using namespace std;

int main ()
{
	int s[10000],n,i=0,j=0,t,m=0,k;
	cin>>n;
	while(n>0)
	{
		s[i]=n%10;
		n=n/10;
		i++;
	}
	for(j=0;j<i-1;j++)
	{
		for(k=j+1;k<i;k++)
		{
			t=s[j];
		if(s[k]<s[j])
		{
			s[j]=s[k];
			s[k]=t;
		}
			
		}
		
	}
	
	for(j=0;j<i;j++)
	{
		
		m=10*m+s[j];
	}
	
	cout<<m;
	return 0;
}
